★ TouchArcade needs your help. Click here to support us on Patreon.

Anybody have an iThing with iOS 4.3 on it for sale?

08-24-2013, 09:52 AM
#1
Joined: Apr 2009
Location: Chicago, IL USA
Posts: 22
Anybody have an iThing with iOS 4.3 on it for sale?

For a long time now, I've worked hard to keep my games running on every iDevice ever made, from the original iPhones on up. But as part of the push towards iOS7, Xcode no longer builds armv6 code and so it's iOS 4.3+ only.

BUT - I don't actually have a 4.3 device for testing, only an old 3G iPhone with 4.1. I have other devices that _would_ run iOS 4.3, but alas Apple doesn't let you install older OSes by stopping the signing of them.

In advance, no, I don't have a jailbroken iThing with saved blobs.

It is surprisingly hard to try to find an iOS 4.3 device on Craigslist, and yet 7% of my userbase is on iOS 4.3?!

Thanks for any ideas on how to get a 4.3 device...
08-25-2013, 10:16 AM
#2
Joined: Jul 2012
Location: brooklyn, ny
Posts: 196
i am the 7%!! haha. sent you a PM. can't part with it but maybe i can help.
08-27-2013, 12:28 AM
#3
try ebay.
08-27-2013, 09:09 AM
#4
Joined: Apr 2009
Location: Chicago, IL USA
Posts: 22
A good thought, but searching for ios 4.3 doesn't give you anything on ebay (or craigslist) and the sellers aren't very helpful either.
08-28-2013, 05:30 AM
#5
Joined: May 2009
Location: UK
Posts: 734
While it's admirable to support as much as possible is it actually worth it?

Considering that it's not even possible to support arm6 devices any more, the oldest devices that can be supported are 3gs (which will run 6.x) and iPad1 (which will run 5.1).

Topia (released in october last year) runs on 5.0 and above, Here are some OS stats:

Last October (remember iOS6.0 had only been released a month earlier)
iPhone 6.0 34.7%
iPhone 5.1.1 20.6%
iPad 6.0 18.4%
iPad 5.1.1 14.8%
iPhone 5.0.1 4.7%
iPad 5.0.1 2.3%
iPhone 5.1 1.5%
iPhone 6.0.1 1.0%
iPad 5.1 1.0%
iPad 6.0.1 0.6%
iPhone 5.0 0.3%
iPad 5.0 0.1%
The following were all < 0.1%
iPhone 6.1, iPhone 5.1.1, iPad 6.1, iPad 5.1.1, iPad 5.0.0, iPad 5.0, iPhone 6.0.2, iPad 5.1.0, iPhone 5.0.1.

Last month

iPad 6.1.3 36.4%
iPhone 6.1.3 19.1%
iPad 5.1.1 10.2%
iPhone 6.1.4 6.2%
iPad 6.1.2 4.6%
iPad 6.0.1 3.7%
iPad 6.1 3.5%
iPhone 5.1.1 3.0%
iPhone 6.1.2 2.5%
iPhone 6.0.1 2.2%
iPhone 6.1 1.7%
iPad 6.0 1.4%
iPad 5.0.1 1.4%
iPhone 6.0 0.8%
iPhone 5.0.1 0.7%
iPad 6.0.2 0.6%
iPhone 6.0.2 0.4%
iPhone 7.0 0.4%
iPad 5.1 0.3%
iPad 7.0 0.3%
iPhone 5.1 0.2%
iPhone 6.1.1 0.2%
iPhone 5.0 <0.1%
iPad 5.0 <0.1%


Actually, these stats are slightly surprising, I was expecting to see that
iPad 5.1.1 was the only significant iOS 5.x due to iPad1 not being upgradable beyond that version but it seems that only 4.3% of Topia's audience is iPad1. This implies that over 5% of it's audience is still running 5.x even though they could upgrade, I wasn't expecting it to be anywhere near that high!

It'd be interesting to see current analytics stats for an app that supports 4.x.

For what it's worth i'm keeping 5.x support in my new game, Fat Owl With A Jetpack simply because I can't drop iPhone4 yet and I can't see why, if you're supporting iPhone4 you would drop iPad1 as it's just as (in)capable.

-=< Fat Owl With A Jetpack >=-
-=< Topia World Builder >=-
-=< Twitter >=-
-=< Blog >=-
08-28-2013, 05:38 AM
#6
Joined: May 2009
Location: UK
Posts: 734
Of course another advantage of using 5.1.1 as a base version is that an iPad1 can't be upgraded beyond that so they'll be available on ebay for a while yet

-=< Fat Owl With A Jetpack >=-
-=< Topia World Builder >=-
-=< Twitter >=-
-=< Blog >=-